import request from '@/axios';

export const getList = (current, size, params) => {
  return request({
    url: '/wl/material/list',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}

export const getDetail = (id) => {
  return request({
    url: '/wl/material/detail',
    method: 'get',
    params: {
      id
    }
  })
}

export const remove = (ids) => {
  return request({
    url: '/wl/material/remove',
    method: 'post',
    params: {
      ids,
    }
  })
}

export const setStatus = (ids,status) => {
  return request({
    url: '/wl/material/setStatus',
    method: 'post',
    params: {
      ids,status
    }
  })
}

export const add = (row) => {
  return request({
    url: '/wl/material/submit',
    method: 'post',
    data: row
  })
}

export const update = (row) => {
  return request({
    url: '/wl/material/submit',
    method: 'post',
    data: row
  })
}

